package com.nisum.offertransactionservice.dao;

import com.nisum.offertransactionservice.model.OfferLookup;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;

import java.util.Collection;
import java.util.List;

public interface OfferLookupRepo extends JpaRepository<OfferLookup,String> {

   /* @Query(value= "SELECT * FROM offer_lookup WHERE id in :ids and UPPER(offer_type) = UPPER(:offerType)" , nativeQuery = true)
    public List<OfferLookup> findByHhId(@Param("ids") Collection<String> ids, @Param("offerType") String offerType);*/

    @Query(value= "SELECT * FROM offer_lookup WHERE id in :ids and UPPER(offer_type) = UPPER(:offerType)" , nativeQuery = true)
    public List<OfferLookup> findByHhId(@Param("ids") Collection<String> ids, @Param("offerType") String offerType);



}
